=== modified file 'drizzled/charset.h'
--- drizzled/charset.h	2010-12-18 04:43:40 +0000
+++ drizzled/charset.h	2011-01-12 21:31:39 +0000
@@ -60,35 +60,6 @@
 extern size_t escape_quotes_for_drizzle(const CHARSET_INFO *charset_info,
 					char *to, size_t to_length,
 					const char *from, size_t length);
-/* character sets */
-void *cs_alloc(size_t size);
-
-extern uint32_t get_charset_number(const char *cs_name, uint32_t cs_flags);
-extern uint32_t get_collation_number(const char *name);
-extern const char *get_charset_name(uint32_t cs_number);
-
-extern const CHARSET_INFO *get_charset(uint32_t cs_number);
-extern const CHARSET_INFO *get_charset_by_name(const char *cs_name);
-extern const CHARSET_INFO *get_charset_by_csname(const char *cs_name, uint32_t cs_flags);
-
-extern bool resolve_charset(const char *cs_name,
-			    const CHARSET_INFO *default_cs,
-			    const CHARSET_INFO **cs);
-extern bool resolve_collation(const char *cl_name,
-			     const CHARSET_INFO *default_cl,
-			     const CHARSET_INFO **cl);
-
-extern void free_charsets(void);
-extern char *get_charsets_dir(char *buf);
-extern bool my_charset_same(const CHARSET_INFO *cs1, const CHARSET_INFO *cs2);
-extern bool init_compiled_charsets(myf flags);
-extern void add_compiled_collation(CHARSET_INFO *cs);
-extern size_t escape_string_for_drizzle(const CHARSET_INFO *charset_info,
-					char *to, size_t to_length,
-					const char *from, size_t length);
-extern size_t escape_quotes_for_drizzle(const CHARSET_INFO *charset_info,
-					char *to, size_t to_length,
-					const char *from, size_t length);
 
 } /* namespace drizzled */
 

=== modified file 'drizzled/item/subselect.cc'
--- drizzled/item/subselect.cc	2011-01-09 08:39:30 +0000
+++ drizzled/item/subselect.cc	2011-01-12 21:31:39 +0000
@@ -2140,10 +2140,6 @@
   assert(0);
 }
 
-int  init_read_record_seq(JoinTable *tab);
-int join_read_always_key_or_null(JoinTable *tab);
-int join_read_next_same_or_null(ReadRecord *info);
-
 int subselect_single_select_engine::exec()
 {
   char const *save_where= session->where;

=== modified file 'drizzled/sql_select.h'
--- drizzled/sql_select.h	2011-01-04 11:36:01 +0000
+++ drizzled/sql_select.h	2011-01-12 21:31:39 +0000
@@ -177,12 +177,6 @@
 void add_not_null_conds(Join *join);
 uint32_t max_part_bit(key_part_map bits);
 COND *add_found_match_trig_cond(JoinTable *tab, COND *cond, JoinTable *root_tab);
-Order *create_distinct_group(Session *session,
-                                Item **ref_pointer_array,
-                                Order *order,
-                                List<Item> &fields,
-                                List<Item> &all_fields,
-                                bool *all_order_by_fields_used);
 bool eq_ref_table(Join *join, Order *start_order, JoinTable *tab);
 int remove_dup_with_compare(Session *session, Table *table, Field **first_field, uint32_t offset, Item *having);
 int remove_dup_with_hash_index(Session *session, 

